
using System;

namespace Dashboard.Controls
{
    public enum Dock
    {
        None,
        Top,
        Left,
        Bottom,
        Right,
        Center
    }

    [Flags]
    public enum Anchor
    {
        None = 0,
        Top = 1 << 0,
        Left = 1 << 1,
        Bottom = 1 << 2,
        Right = 1 << 3,
        All = Top | Left | Bottom | Right
    }

    public enum Direction
    {
        Vertical,
        Horizontal
    }

    public enum TextAlignment
    {
        Left,
        Center,
        Right,
        Justify,
    }

    public enum VerticalAlignment
    {
        Top,
        Center,
        Bottom,
        Justify,
    }

    public enum HorizontalAlignment
    {
        Left,
        Center,
        Right,
        Justify
    }
}