namespace Dashboard.Media.Font
{
    public enum SystemFontFamily
    {
        /// <summary>
        /// A font with serifs, like Times New Roman.
        /// </summary>
        Serif,
        /// <summary>
        /// A font without serifs, like Helvetica or Arial.
        /// </summary>
        Sans,
        /// <summary>
        /// A monospace font like Courier New.
        /// </summary>
        Monospace,
        /// <summary>
        /// A cursive font like Lucida Handwriting.
        /// </summary>
        Cursive,
        /// <summary>
        /// An immature font like Comic Sans or Papyrus, nghehehehe.
        /// </summary>
        Fantasy
    }
}